cdac.medinfo.sdk.hl7282.hl7model.messages.patientcare

## Class PPG_PCH

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.messages.Message
  - - cdac.medinfo.sdk.hl7282.hl7model.messages.patientcare.PPG_PCG_Common
    - - cdac.medinfo.sdk.hl7282.hl7model.messages.patientcare.PPG_PCH

-     public final class PPG_PCH
      extends PPG_PCG_Common

  PPG_PCH - Patient Pathway Message (Goal-Oriented)(Events PCH). This message is use for Patient Pathway Message.

  Represents a PPP_PCB message structure (see chapter 12.3.4). This structure contains the following elements:

  0: MSH (Message Header Segment) SINGLE_COMPULSARY
  1: SFT (Software Segment) MULTIPLE_OPTIONAL
  2: UAC (User Authentication Credential Segment) SINGLE_OPTIONAL
  3: PID (Patient Identification Segment) SINGLE_COMPULSARY
  4: PATIENT_VISIT (a Group in PPG_PCG message) SINGLE_OPTIONAL
  5: PATHWAY (a Group in PPG_PCG message) MULTIPLE_COMPULSARY
  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. These elements can be easily populated & populated values can be easily retrieved. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  Following is the step to create message
  Before that, respective Message Source and Message Recipient to be set on Message Factory.

  PPG_PCH objPCH = (PPG_PCH)MessageFactory.createInstance().createSendSupportedMessage("PPG", "PCH");

- - ### Method Summary

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.hl7model.messages.patientcare.PPG_PCG_Common

      `addPathwayGroup, addPathwayGroups, addSoftwareSegment, addSoftwareSegment, getPathwayGroups, getPatientIdentificationSegment, getPatientVisitGroup, getSoftwareSegments, getUserAuthenticationCredentialSegment, setPatientIdentificationSegment, setPatientVisitGroup, setUserAuthenticationCredentialSegment`

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.messages.Message

      `contains, dumpMessage, dumpMessage, getACKMode, getGroup, getGroupMap, getHeader, getMessageCode, getMessageControlID, getMessageStructure, getQueryUserParameters, getSegment, getSegmentSet, getSubscriptionType, getTriggerEvent, isQuery, isResponse, populate, removeGroup, removeSegment, removeSegment, removeSegmentAttribute, removeSegmentAttribute, removeSegmentAttribute, removeSegments, setHeader, setSubscriptionType, updateSegmentAttribute, updateSegmentAttribute, validate, writeToXML, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`